from Products.Archetypes.public import *
from Products.ATSchemaEditorNG.SchemaEditor import SchemaEditor
from Products.ATSchemaEditorNG import util
from Products.CMFCore.utils import getToolByName
from Products.CMFCore import CMFCorePermissions
from Products.CMFCore.PortalFolder import PortalFolder

import Products.GenericPloneContent.GenericPloneContent


class GenericContainer(SchemaEditor, BaseFolder):
    """
    Container to act as host for schema editing.
    """
    meta_type = portal_type = "Generic Container"
    schema = BaseSchema
    global_allow = 0
    actions = (
    {
    'id'           : 'view',
    'name'         : 'Edit schema',
    'action'       : 'string:${object_url}/gpc_editor',
    'permissions'   : (CMFCorePermissions.View, ),
    'category'      : 'object',
    },
    {'id':'edit','visible':None},
#    {},
    )
    
    def registerObjectSchema(self, class_name):
    	self.atse_registerObject( getattr(Products.GenericPloneContent.GenericPloneContent,class_name),
	filtered_schemas= ('metadata', ),
	undeleteable_fields=('file'))
  

    def automatic_value(self,**kw):
        return "method:automatic"



registerType(GenericContainer)

